CAMU_PackageParameterCameraSelect Struct Reference

Batch camera configuration for use without a context. More...

`#include <cam.h>`

## Data Fields

u8 | camera
| Selected camera.
s8 | exposure
| Camera exposure.
u8 | whiteBalance
| CAMU_WhiteBalance Camera white balance.
s8 | sharpness
| Camera sharpness.
u8 | autoExposureOn
| #bool Whether to automatically determine the proper exposure.
u8 | autoWhiteBalanceOn
| #bool Whether to automatically determine the white balance mode.
u8 | frameRate
| CAMU_FrameRate Camera frame rate.
u8 | photoMode
| CAMU_PhotoMode Camera photo mode.
u8 | contrast
| CAMU_Contrast Camera contrast.
u8 | lensCorrection
| CAMU_LensCorrection Camera lens correction.
u8 | noiseFilterOn
| #bool Whether to enable the camera's noise filter.
u8 | padding
| Padding. (Aligns last 3 fields to 4 bytes)
s16 | autoExposureWindowX
| X of the region to use for auto exposure.
s16 | autoExposureWindowY
| Y of the region to use for auto exposure.
s16 | autoExposureWindowWidth
| Width of the region to use for auto exposure.
s16 | autoExposureWindowHeight
| Height of the region to use for auto exposure.
s16 | autoWhiteBalanceWindowX
| X of the region to use for auto white balance.
s16 | autoWhiteBalanceWindowY
| Y of the region to use for auto white balance.
s16 | autoWhiteBalanceWindowWidth
| Width of the region to use for auto white balance.
s16 | autoWhiteBalanceWindowHeight
| Height of the region to use for auto white balance.

## Detailed Description

Batch camera configuration for use without a context.

The documentation for this struct was generated from the following file:

- include/3ds/services/cam.h